<?php $settings = get_option( 'rt_options' ); ?>

<div class="wrap">
	<h2>Options for Website Monitoring by <a href="http://roundtripemail.com/wordpress" target="_blank">RoundTripEmail.com</a></h2>
	</div>
	
	
	<?php if ( isset( $_REQUEST['settings-updated'] )  ) : ?>
    <?php
    $values = array('roundTripEmail_token' => get_site_option('roundTripEmail_token'), 
      'roundTripEmail_alert' => $settings['roundTripEmail_alert'],
      'roundTripEmail_feedback' => $settings['roundTripEmail_feedback'],
      'roundTripEmail_website' => get_bloginfo('wpurl'),
      'roundTripEmail_promoted' => $settings['roundTripEmail_promote']
    );
    $hash = base64_encode(serialize($values));
    if ( ! $buffer = file_get_contents('http://roundtripemail.com/website/enable/'.$hash) ) {
      echo "<div style='border:1px solid black;background-color:#FFE57E;font-size:1.0em;text-align:center;padding:15px;'>It looks like a firewall my have blocked our data syncronization procress. <a href='http://roundtripemail.com/website/enable/".$hash."' target='_blank'>Please click here to manually sync your website monitoring settings</a>.<br />The link will open in a new window and should display the text, 'Done'.</div>";
      
    }
	 ?>
  <?php endif; ?>

<!--
The form tag and wp_nonce_field lines should stay exactly as is.
-->
<form method="post" action="options.php">
<?php settings_fields( 'roundTripEmail_options' ); ?>
<?php //do_settings_fields( 'roundTripEmail-group' ); ?>


<!-- 
The form-table class is also a WP standard. Use it to have your pages formatted
like the rest of the WP options pages.
-->
<table class="form-table">

<tr valign="top">
<th scope="row">Email Address to send alerts to:</th>
<td><input type="text" name="rt_options[roundTripEmail_alert]" id="roundTripEmail_alert" value="<?php echo $settings['roundTripEmail_alert']; ?>" size="75"></td>
</tr>
<tr valign="top">
</tr>

<tr valign="top">
<th scope="row">What do you think of this plugin:</th>
<td>
<select name="rt_options[roundTripEmail_feedback]" id="roundTripEmail_feedback" size="1">
<option value="0" <?php if ($settings['roundTripEmail_feedback'] == "0") echo "selected='selected'" ?>>No Feedback Yet</option>
<option value="1" <?php if ($settings['roundTripEmail_feedback'] == "1") echo "selected='selected'" ?>>It's awesome!</option>
<option value="2" <?php if ($settings['roundTripEmail_feedback'] == "2") echo "selected='selected'" ?>>It's okay</option>
<option value="3" <?php if ($settings['roundTripEmail_feedback'] == "3") echo "selected='selected'" ?>>I don't think it's working</option>
<option value="4" <?php if ($settings['roundTripEmail_feedback'] == "4") echo "selected='selected'" ?>>It's confusing</option>
<option value="5" <?php if ($settings['roundTripEmail_feedback'] == "5") echo "selected='selected'" ?>>I'm going to uninstall it, I don't use it</option>
</select>

</td>
</tr>

<tr valign="top">
<th scope="row">Enable Footer Link:</th>
<td>
<select name="rt_options[roundTripEmail_promote]" id="roundTripEmail_promote" size="1">
<option value="0">No</option>
<option value="1" <?php if ($settings['roundTripEmail_promote'] == "1") echo "selected='selected'" ?>>Yes</option>
</select>

</td>
</tr>
<?php if ($settings['roundTripEmail_promote'] == "0"): ?>
<tr valign="top">
<th scope="row">&nbsp;</th>
<td style="color:black;">
<span style="color:red;">If you think our plugin is valuable, please consider setting the Footer Link option to "yes".</span><br />
It let's others know about our plugin by placing a link back to RoundTripEmail.com in the footer section of your blog.<br />
You can style the link in your theme using the CSS <i>#roundtripemail</i> id tag.<br />
<p><span style="color:gray;">Footer Example:</span> Website Monitoring by <a href="http://roundtripemail.com/wordpress" target="_blank" title="Round Trip Email Monitoring" id="roundtripemail">Round Trip Email Monitoring</a></p>

</td>
</tr>
<?php endif; ?>


</table>

<!-- 
the hidden "action" tag is required as is.
-->
<input type="hidden" name="action" value="update" />

<!--
The "page_options" tag is required and the value should be a comma separated list of
ALL custom field names being updated in your form.
-->
<input type="hidden" name="page_options" value="roundTripEmail_alert,roundTripEmail_promote, roundTripEmail_feedback" />

<!--
Using the following submit button as-is will ensure it looks like all other WP
options pages. Notice the _e('Save Changes') portion. This is how WP handles
sites in different languages. 
-->
<p class="submit">
<?php if ( ! array_key_exists('roundTripEmail_promote', $settings) ): ?>
<span style="color:red;">You'll need to click the "Save & Activate" button below to initialize monitoring</span><br />
<?php endif; ?> 
<input type="submit" class="button-primary" value="<?php _e('Save Changes & Activate') ?>" />
</p>

<h2>Monitoring Report</h2>
<p><img src='http://roundtripemail.com/website/graph/<?php echo get_option('roundTripEmail_token'); ?>' /></p>
<p style="color:gray;">Note: After activating, please allow 30 minutes for us to start collecting data before your monitoring report is displayed.<br />
Note: If your response time data was last updated more than 2 days ago, click the "Save Changes & Activate" button above to reinitialize monitoring  
  
</p>
<p>&nbsp;</p>
<div style="position:relative;left:-21px;padding:10px 0 0 20px;text-align:left;color:#333;font-size:1.5em;line-height:1.0em;background:transparent url('<?php echo get_bloginfo('wpurl')."/wp-content/plugins/free-website-monitoring/images/promo.png"; ?>') no-repeat top left;height:106px;width:579px;float:left;">
  <br />
  <a href="http://roundtripemail.com/" target="_blank" style="color:black;">RoundTripEmail.com</a> also allows you to monitor your email address.
  <p style="font-size:0.8em;">Starting @ $17.00 / Address / Month. Includes a 100% Risk Free 7-Day Trial.</p>
</div>
<div style="clear:both;"></div>

<h2>Frequently Asked Questions</h2>
<ul>
<li style="color:gray;margin-top:15px;">Are you really monitoring my website for free?</li>
<li>Yes. This service is provided by RoundTripEmail.com and monitors your website from a remote server to make sure it's online and responding in a timely manner.</li> 
<li style="color:gray;margin-top:15px;">How often is the status of my website checked?</li>
<li>Websites are checked every 30 minutes.</li>
<li style="color:gray;margin-top:15px;">When do I get an alert?</li>
<li>Email alerts are sent after 2 consecutive monitoring failures (about 1 hour).</li>
<li style="color:gray;margin-top:15px;">Will you send me an "up" alert when the site starts responding?</li>
<li>Yes, we send up alerts as long as your site is not off-line for more than 2 days. If your site stops responding for an extended period of time, we'll auto-disable our monitor and no longer send alerts (we can't monitor offline websites for free forever :) ). However, once your site is back online, just click the Save Changes & Activate button above to reactivate the monitor.</li>
</ul>


<p style="color:gray;">Please contact <a href="mailto:support@minneapp.com">support@minneapp.com</a> or <a href="http://twitter.com/minneapp" target="_blank" >@minneapp</a> with additional questions or comments.</p>

</form>